/* Bubble overlay styling */
.bubble {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.7);
  color: white;
  padding: 5px;
  border-radius: 5px;
  pointer-events: none;
  transform: translate(-50%, -100%);
  z-index: 1000; /* Ensure it's on top */
}